//---------------------------------------------------------------------------

#ifndef ModuleTestCaseH
#define ModuleTestCaseH

#include <testframework.hpp>

#include "DModU.h"

//---------------------------------------------------------------------------

class TModuleTestCase : public TTestCase 
{
private:
    TZQuery * __fastcall FindGroup(   int aGID );
    TZQuery * __fastcall FindPerson(  int aPID );
    TZQuery * __fastcall FindContact( int aPID, int aCID );
protected:
    void __fastcall SetUp( void );
    void __fastcall TearDown( void );
__published:
	void __fastcall TestGroup(void);
    void __fastcall TestPerson(void);
    void __fastcall TestContact(void);
};
//---------------------------------------------------------------------------
#endif

