//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ContactDlgU.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TContactDlg *ContactDlg;
//---------------------------------------------------------------------------
__fastcall TContactDlg::TContactDlg(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TContactDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
    if ( ModalResult == mrOk && editContact->Text.Trim( ) == "" )
        CanClose = false;
}
//---------------------------------------------------------------------------

void __fastcall TContactDlg::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
    if ( Key == VK_RETURN ) {
        Close( );
        ModalResult = mrOk;
    }
    else if ( Key == VK_ESCAPE ) {
        Close( );
        ModalResult = mrCancel;
    }
}
//---------------------------------------------------------------------------

void __fastcall TContactDlg::btnOkClick(TObject *Sender)
{
    Close( );
    ModalResult = mrOk;
}
//---------------------------------------------------------------------------

void __fastcall TContactDlg::btnCancelClick(TObject *Sender)
{
    Close( );
    ModalResult = mrCancel;
}
//---------------------------------------------------------------------------

